Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core
Interface IRuntimeTargetHandler

Deprecated. use project facets instead of runtime targets

    public interface IRuntimeTargetHandler

A runtime target handler is used to apply some properties to a project this is being targeted to a given runtime. For instance, the handler might update the classpath of a Java project to include the runtime's classes, add validation for the given runtime, or restrict the type of resources that can be created.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`java.lang.String` | `getId()` Deprecated. Returns the id of this runtime target handler.
`boolean` | `supportsRuntimeType(IRuntimeType runtimeType)` Deprecated. Returns `true` if this runtime target handler supports (can work with) the given runtime.

Method Detail

### getId

    java.lang.String getId()

  Deprecated.
  Returns the id of this runtime target handler. Each known runtime target handler has a distinct id. Ids are intended to be used internally as keys; they are not intended to be shown to end users.

  Returns:
    the runtime target handler id

### supportsRuntimeType

    boolean supportsRuntimeType(IRuntimeType runtimeType)

  Deprecated.
  Returns `true` if this runtime target handler supports (can work with) the given runtime.

  Parameters:
    `runtimeType` - a runtime type
  Returns:
    `true` if the handler can accept the given runtime type, and `false` otherwise

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD